package statistics

import (
	"fmt"
	zset "github.com/longzhiri/gozset"
	"testing"
)

func TestA(t *testing.T) {
	//zs := zset.NewSkipListInt(func(l, r zset.IntOrderedKey) bool {
	//	return l.Score() > r.Score()
	//})

	z := zset.NewZSetInt(func(l, r int32) bool {
		return l > r
	}, 100)

	z.Add(1, 2)
	z.Add(2, 100)

	z.Update(3, 20)
	z.Add(2, 3000)

	a := z.RangeByRank(1, 100)
	fmt.Printf("aaa: %+v", a)
}
